## symfony 2.7.5+dfsg

=== debian/changelog ===
symfony (2.7.5+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.5

  [ David Prévot ]
  * debian/control:
    - Drop now useless transitional dummy packages
      (php-symfony-classloader and php-symfony-eventdispatcher)
    - php5-mongo makes the tests fail, since it requires a set up
      MongoDB server
  * debian/test/control: Add missing php-doctrine-data-fixtures
    dependency for CI

  [ Daniel Beyer ]
  * Correct incomplete autoloading for php-symfony-asset
  * Run tests parallel during build time, similar to how upstream does it
  * Run DEP-8 (as-installed) tests parallel, similar to how upstream does it
  * Remove prefixed 'NNNN-'-numbering for Debian patches
  * Use a simplistic vendor/autoload.php to run tests during build time.
    This is to make sure we use the autoload.php files generated by phpab
    and additionally eliminates the need to generate a vendor/autoload.php
    using phpab during build time. Instead we use now use a symbolic link
    for vendor/autoload.php pointing to debian/autoload.build.php.
  * Include tests in autoload.php files generated by phpab
  * Use a simplistic vendor/autoload.php for DEP-8 (as-installed) tests.
    This ensures we use the autoload.php files generated by phpab during
    DEP-8 (as-installed) test. Additionally we no longer need to generate
    a vendor/autoload.php using phpab. Instead we now simply use a symbolic
    link for vendor/autoload.php pointing to debian/autoload.DEP-8.php.
  * Add new patch fixing wrong autoloader detection used by some tests
    - FrameworkBundle-SecurityBundle-Don-t-try-to-include-.patch
  * Drop temporary workaround patch (no longer needed)
    - Temporary-workaround.patch
  * Update patch to skip additional tests needing network
    - group-online-for-test-failing-without-network.patch
  * Add new patch to skip broken tests in the Process component
    - Skip-broken-tests-in-Process-component.patch
  * Provide missing meta.json for php-symfony-intl

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 02 Oct 2015 20:41:11 -0400
