## symfony 2.7.6+dfsg

=== debian/changelog ===
symfony (2.7.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * updated VERSION for 2.7.6

  [ David Prévot ]
  * Update phpunit calls with regard to network access

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 08 Nov 2015 15:14:54 +0100
