=== debian/rules ===
--- 
+++ 
@@ -83,7 +83,7 @@
 	ln -s ../debian/autoload.build.php ./vendor/autoload.php
 	# Actual tests suite
 	components=$$(find src/Symfony -mindepth 3 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; phpunit --colors=always --exclude-group online,tty,benchmark,intl-data {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; phpunit --colors=always --exclude-group online,network,tty,benchmark,intl-data {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 else
 	@echo "** tests disabled"
 endif
