=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @,
         parallel,
         patch,
         php-doctrine-bundle (>= 1.4.0-2~),
         php-doctrine-data-fixtures (>= 1.1.1-2~),
         php-doctrine-orm (>= 2.4.7-2~),
         php-email-validator (>= 1.2.8),
         php5-memcache,
         php5-intl,
         php5-memcached,
         php5-sqlite,
         phpab,
         phpunit (>= 4.2.6-3~)

Test-Command: phpunit --no-configuration src/Symfony/Component/Debug/Resources/ext/tests
Depends: phpunit, php5-symfony-debug
