## symfony 2.7.7+dfsg

=== debian/changelog ===
symfony (2.7.7+dfsg-1) unstable; urgency=high

  [ Christian Flothmann ]
  * Vulnerability in Security Remember-Me Service [CVE-2015-8125]
    - fix potential timing attack issue
    - mitigate CSRF timing attack vulnerability
    - prevent timing attacks in digest auth listener
  * Session Fixation in the "Remember Me" Login Feature [CVE-2015-8124]
    - migrate session after remember me authentication

  [ Fabien Potencier ]
  * updated VERSION for 2.7.7

  [ Daniel Beyer ]
  * Pin debian/watch to stable 2.x releases of Symfony

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 24 Nov 2015 08:10:09 +0100
