## symfony 2.7.9+dfsg

=== debian/changelog ===
symfony (2.7.9+dfsg-1ubuntu1) xenial; urgency=medium

  * d/: Update to PHP 7.0 dependencies.
  * remove php5-symfony-debug
    - https://github.com/symfony/symfony/issues/17515#issuecomment-174425132.
  * d: add nocheck and stage1 build profiles.
  * LP: #1544279.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 09 Feb 2016 17:00:21 -0800

symfony (2.7.9+dfsg-1) unstable; urgency=high

  [ Fabien Potencier ]
  * updated VERSION for 2.7.9

  [ Daniel Beyer ]
  * Drop patch to skip broken tests in the Process component (no longer needed)
    - Skip-broken-tests-in-Process-component.patch
  * Add patch to provide function random_bytes() for php 5
    - Embed-paragonie-random_compat-into-the-security-comp.patch
  * Add a README.Debian (Closes: #806903)

  [ David Prévot ]
  * Update autoload and dependencies for php-symfony-framework-bundle
  * Update copyright (years)
  * Add copyright entry for embedded paragonie/random_compat

 -- David Prévot <taffit@debian.org>  Sun, 17 Jan 2016 16:23:58 -0400
