=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: symfony
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-php5, php5-dev, pkg-php-tools (>= 1.14~)
+Build-Depends: debhelper (>= 9), dh-php, php-dev, pkg-php-tools (>= 1.32~)
 Build-Depends-Indep: dctrl-tools,
                      file,
                      jq,
                      parallel,
-                     php-doctrine-bundle (>= 1.4.0-2~),
-                     php-doctrine-data-fixtures (>= 1.1.1-2~),
-                     php-doctrine-orm (>= 2.4.7-2~),
+                     php-doctrine-bundle (>= 1.4.0-2~) <!stage1>,
+                     php-doctrine-data-fixtures (>= 1.1.1-2~) <!stage1>,
+                     php-doctrine-orm (>= 2.4.7-2~) <!stage1>,
                      php-email-validator (>= 1.2.8),
                      php-monolog (>= 1.13),
                      php-proxy-manager (>= 1.0.0-2~),
                      php-psr-log (>= 1.0.0-2~),
                      php-twig (>= 1.18),
-                     php5-common,
-                     php5-intl,
-                     php5-memcache,
-                     php5-memcached,
-                     php5-sqlite,
+                     php-common,
+                     php-intl,
+                     php-memcache,
+                     php-memcached,
+                     php-sqlite3,
                      phpab,
-                     phpunit (>= 4.2.6-3~)
-Build-Conflicts: php5-mongo
+                     phpunit (>= 4.2.6-3~) <!nocheck !stage1>
+Build-Conflicts: php-mongodb
 Homepage: https://symfony.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/symfony.git
 Vcs-Git: git://anonscm.debian.org/pkg-php/symfony.git
@@ -269,5 +270,3 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/2.7/components/http_kernel/introduction.html
 Description: building blocks for flexible and fast HTTP-based frameworks
- The ${phpcomposer:description} provides a structured process for
- converting requests into responses and is flexible enough to build
