=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with phpcomposer,php5 \
-		--sourcedirectory=src/Symfony/Component/Debug/Resources/ext
-
-override_dh_auto_clean-arch:
-	dh_auto_clean -O--sourcedirectory=src/Symfony/Component/Debug/Resources/ext
-	cd src/Symfony/Component/Debug/Resources/ext && \
-		phpize --clean
+	dh $@ --with phpcomposer,php
 
 override_dh_auto_clean-indep:
 	rm -rf debian/packages_to_build vendor
-
-override_dh_auto_configure-arch:
-	cd src/Symfony/Component/Debug/Resources/ext && \
-		phpize
-	dh_auto_configure -O--sourcedirectory=src/Symfony/Component/Debug/Resources/ext
 
 override_dh_auto_build-indep:
 	mkdir debian/packages_to_build
@@ -73,11 +62,8 @@
 		--template debian/default.autoload.php.tpl \
 		src/Symfony/Component/HttpFoundation
 
-override_dh_auto_test-arch:
-	NO_INTERACTION=1 dh_auto_test -O--sourcedirectory=src/Symfony/Component/Debug/Resources/ext
-
 override_dh_auto_test-indep:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck stage1, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	ln -s ./src/Symfony ./Symfony
 	mkdir vendor
 	ln -s ../debian/autoload.build.php ./vendor/autoload.php
@@ -87,11 +73,6 @@
 else
 	@echo "** tests disabled"
 endif
-
-override_dh_auto_install-arch:
-	dh_auto_install \
-		-O--sourcedirectory=src/Symfony/Component/Debug/Resources/ext \
-		-- INSTALL_ROOT=$(CURDIR)/debian/php5-symfony-debug
 
 override_dh_auto_install-indep:
 
@@ -150,6 +131,9 @@
 	   -XCHANGELOG.md \
 	   --package=$$deb_pkg_name \
 	   $$src_path/*.md; \
+	  dh_installdocs \
+	   --package=$$deb_pkg_name \
+	   debian/README.Debian; \
 	 done
 
 override_dh_installchangelogs-arch:
