## symfony 2.7.10

=== debian/changelog ===
symfony (2.7.10-0ubuntu2) xenial; urgency=medium

  * php-symfony-class-loader: hardcode composer-derived dependencies, as
    we don't need polyfill if we only support PHP7.0.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 18 Mar 2016 17:06:11 -0700

symfony (2.7.10-0ubuntu1) xenial; urgency=medium

  * New upstream release (2.7.10) (LP: #1558848).
  * Copy d/p/HttpFoundation-Fix-incompatibility-with-php-memcache.patch
    from Debian 2.8.2-1.
  * Update d/p/Workaround-OR-ed-versions-are-not-supported.patch for
    Proxy-Manager 2.0.0.
  * Fix issue during build by not invoking dh_php (remnant from
    removing php5-symfony-debug).
  * Update d/licensing/image-checksums.dcf for new
    src/Symfony/Bundle/WebProfilerBundle/Resources/views/Collector/twig.html.twig
    SVG images.
  * Drop:
    - d/p/Embed-paragonie-random_compat-into-the-security-comp.patch 
      [ not needed with PHP7.0 ]
    - d/p/cherrypick_5d433cab.patch
      [ present in 2.7.10 ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 17 Mar 2016 17:43:54 -0700

symfony (2.7.9+dfsg-1ubuntu2) xenial; urgency=medium

  [ Nishanth Aravamudan ]
  * Cherry-pick commit upstream 5d433cab.
  * Update proxy-manager dependent tests to the 2.0.0 code syntax.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Feb 2016 07:26:44 +0000
