=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: php
 Priority: optional
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), dh-php, php-dev, pkg-php-tools (>= 1.32~)
+Build-Depends: debhelper (>= 9), php-dev, pkg-php-tools (>= 1.32~)
 Build-Depends-Indep: dctrl-tools,
                      file,
                      jq,
@@ -62,7 +62,7 @@
 
 Package: php-symfony-class-loader
 Architecture: all
-Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
+Depends: ${misc:Depends}, php-common, php-apcu
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
