=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with phpcomposer,php
+	dh $@ --with phpcomposer
 
 override_dh_auto_clean-indep:
 	rm -rf debian/packages_to_build vendor
