=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @,
         parallel,
         patch,
         php-doctrine-bundle (>= 1.4.0-2~),
         php-doctrine-data-fixtures (>= 1.1.1-2~),
         php-doctrine-orm (>= 2.4.7-2~),
         php-email-validator (>= 1.2.8),
         php-memcache,
         php-intl,
         php-memcached,
         php-sqlite3,
         phpab,
         phpunit (>= 4.2.6-3~)
